<!DOCTYPE html>
<html  xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Тайтл-new (User)</title>
</head>
<body>
<a href="/users">All Users</a>
<form th:method="POST" th:action="@{/users}" th:object="${user}">
    <table>
        <tr>
            <td> <label for="firstname">First Name</label> </td>
            <td> <input name="firstname" type="text" id="firstname" th:field="*{firstname}" required> </td>
        </tr>
        <tr>
            <td> <label for="lastname">Last Name</label> </td>
            <td> <input name="lastname" type="text" id="lastname" th:field="*{lastname}" required></td>
        </tr>
        <tr>
            <td> <label for="age">Age</label></td>
            <td> <input name="age" type="text" id="age" th:field="*{age}"> </td>
        </tr>
        <tr>
            <td> <label for="email">Email</label></td>
            <td> <input name="email" type="email" id="email" th:field="*{email}"> </td>
        </tr>
    </table>
    <input type="submit" value="Create User"/>

</form>
</body>
</html>